libzypp: zypp::pool::ByIdent Class Reference

libzypp 17.36.6

Public Member Functions | Private Member Functions | Private Attributes | List of all members
zypp::pool::ByIdent Class Reference

Main filter selecting PoolItems by `name` and `kind`. More...

`#include <zypp/pool/ByIdent.h>`

## Public Member Functions
| ByIdent ()
| ByIdent (sat::Solvable slv_r)
| ByIdent (IdString ident_r)
| ByIdent (ResKind kind_r, IdString name_r)
| ByIdent (ResKind kind_r, const C_Str &name_r)
bool | operator() (sat::Solvable slv_r) const
bool | operator() (const PoolItem &pi_r) const
bool | operator() (const ResObject::constPtr &p_r) const
sat::detail::IdType | get () const

## Private Member Functions
sat::detail::IdType | makeIdent (sat::Solvable slv_r)
sat::detail::IdType | makeIdent (const ResKind &kind_r, IdString name_r)
sat::detail::IdType | makeIdent (const ResKind &kind_r, const C_Str &name_r)

## Private Attributes
sat::detail::IdType | _id
| negative `_id` for `srcpackage`, as they use the same `ident` as `package`.

## Detailed Description

Main filter selecting PoolItems by `name` and `kind`.

Definition at line 28 of file ByIdent.h.

## Constructor & Destructor Documentation

## ◆ ByIdent() [1/5]

zypp::pool::ByIdent::ByIdent | ( |  | ) |
| inline

Definition at line 31 of file ByIdent.h.

## ◆ ByIdent() [2/5]

zypp::pool::ByIdent::ByIdent | ( | sat::Solvable | slv_r | ) |
| inlineexplicit

Definition at line 35 of file ByIdent.h.

## ◆ ByIdent() [3/5]

zypp::pool::ByIdent::ByIdent | ( | IdString | ident_r | ) |
| inlineexplicit

Definition at line 39 of file ByIdent.h.

## ◆ ByIdent() [4/5]

zypp::pool::ByIdent::ByIdent | ( | ResKind | kind_r,
|  | IdString | name_r )
| inline

Definition at line 43 of file ByIdent.h.

## ◆ ByIdent() [5/5]

zypp::pool::ByIdent::ByIdent | ( | ResKind | kind_r,
|  | const C_Str & | name_r )
| inline

Definition at line 47 of file ByIdent.h.

## Member Function Documentation

## ◆ operator()() [1/3]

bool zypp::pool::ByIdent::operator() | ( | sat::Solvable | slv_r | ) | const
| inline

Definition at line 52 of file ByIdent.h.

## ◆ operator()() [2/3]

bool zypp::pool::ByIdent::operator() | ( | const PoolItem & | pi_r | ) | const
| inline

Definition at line 58 of file ByIdent.h.

## ◆ operator()() [3/3]

bool zypp::pool::ByIdent::operator() | ( | const ResObject::constPtr & | p_r | ) | const
| inline

Definition at line 61 of file ByIdent.h.

## ◆ makeIdent() [1/3]

sat::detail::IdType zypp::pool::ByIdent::makeIdent | ( | sat::Solvable | slv_r | ) |
| inlineprivate

Definition at line 65 of file ByIdent.h.

## ◆ makeIdent() [2/3]

sat::detail::IdType zypp::pool::ByIdent::makeIdent | ( | const ResKind & | kind_r,
|  | IdString | name_r )
| inlineprivate

Definition at line 71 of file ByIdent.h.

## ◆ makeIdent() [3/3]

sat::detail::IdType zypp::pool::ByIdent::makeIdent | ( | const ResKind & | kind_r,
|  | const C_Str & | name_r )
| inlineprivate

Definition at line 80 of file ByIdent.h.

## ◆ get()

sat::detail::IdType zypp::pool::ByIdent::get | ( |  | ) | const
| inline

Definition at line 90 of file ByIdent.h.

## Member Data Documentation

## ◆ _id

sat::detail::IdType zypp::pool::ByIdent::_id
| private

negative `_id` for `srcpackage`, as they use the same `ident` as `package`.

Definition at line 96 of file ByIdent.h.

The documentation for this class was generated from the following file:

- zypp/pool/ByIdent.h